Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

hdk_sk_live_v1_… or hdk_sk_test_v1_…

Headers

X-Max-Credits
integer

Refuse (free) if the request could cost more.

X-Credit-Price-Version
integer

Expected price version; 409 price_changed if it differs.

Path Parameters

address
string
required

Wallet, 0x + 40 hex.

Pattern: ^0x[0-9a-fA-F]{40}$

Query Parameters

window
enum<string>
default:alltime

Window.

Available options:
alltime,
24h,
7d,
30d,
ytd
category
enum<string>
default:all

Asset category (all-markets board; omit with coin).

Available options:
all,
crypto,
majors,
memes,
alts,
equities,
indices,
commodities,
fx
sort
enum<string>
default:total

Ranked metric: total (net PnL), realized, unrealized, or their ROI (÷ capital; wallets with capital ≥ $1,000). Wallets without that value are not ranked.

Available options:
total,
realized,
unrealized,
roi,
realized_roi,
unrealized_roi
coin
string

One market's board instead of a category, e.g. BTC, xyz:GOLD (case-sensitive).

Pattern: ^[A-Za-z0-9:_\-/@.]{1,40}$

Response

OK

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
meta
object
required